@echo off

: Extraction of the raw GTAP data and translation into GAMS format relies on the GTAPinGAMS code developed by Thomas Rutherford (University of Wisconsin), available at 
: www.mpsge.org/gtap5/


: 	CREATE A WORKABLE GDX FILE FROM GTAPAGG ZIP DATA

title	
echo.  	Produce a GDX version of the GTAP data: extract data from the ZIP package 
echo.	generated by GTAPAGG
echo	The zip  package should be saved in the
echo	..\data directory 
echo.	set ds to the name of the GTAPagg ZIP package 

gams zip2gdx --ds=gtap5

:goto end

title	FILTER.GMS --- filter a dataset
echo.
echo	One problem with using the GTAP data is that there are 
echo	too many very small numbers.  These values wreck havoc
echo	with factorization routines in PATH and CONOPT.  I
echo	have therefore produced a program which "filters" the
echo	GTAP data to a specified tolerance.  
echo.
echo	The larger tolerance produces a sparser dataset.
echo	Look at filterlog01.xls for a summary of changes:



gams filter --tol=001 --fromAGG=yes --ds=gtap5 o=debug.lst s=filter_001
: this creates gtap5.gdx, a usable GTAPinGAMS database

:end